EDIT - feature request #7416

OriginalSourceBase.links should be shown in DataPortal
05/14/2018 05:12 PM - Andreas Mdller

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

OriginalSourceBase now has a Set of Links (OriginalSourceBase.getLinks()). These should be displayable in the Dataportal.

Maybe they should be ordered by ExternalLinkType and (id or alphabetically).

Related issues:

Related to EDIT - feature request #7415: Implement ExternalLinks for Original... Closed
Related to EDIT - bug #7778: identifier links missing in taxon relations foot... Closed
Follows EDIT - feature request #6588: Add URL and URL comment to OriginalSour... Closed
History

#1 - 05/14/2018 05:12 PM - Andreas Miiller

- Due date set to 04/25/2017

- Start date changed from 05/14/2018 to 04/25/2017

- Follows feature request #6588: Add URL and URL comment to OriginalSource / ExternalLink added

#2 - 05/14/2018 05:13 PM - Andreas Miiller

- Related to feature request #7415: Implement ExternalLinks for OriginalSources in TaxEditor added

#3 - 09/20/2018 03:47 PM - Andreas Miiller

- Related to bug #7778: identifier links missing in taxon relations footnotes added

#4 - 01/31/2020 11:43 AM - Andreas Kohlbecker

- Tags set to external-links

#5 - 02/26/2020 11:20 AM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.14

#6 - 02/28/2020 09:52 AM - Andreas Kohlbecker
- Tags deleted (external-links)

- Subject changed from ExternalLinks should be shown in DataPortal to OriginalSourceBase.links should be shown in DataPortal

- Description updated

First of all we need to discuss how and where the links are to be shown.

® in the sidebar, e.g. in the external links block?
¢ next to the identifiable element in the text?

#7 - 02/28/2020 10:05 AM - Andreas Miiller
Andreas Kohlbecker wrote:
First of all we need to discuss how and where the links are to be shown.

¢ in the sidebar, e.g. in the external links block?
e next to the identifiable element in the text?
This ticket is about OriginalSourceBase.getLinks() so these are links for sources not for identifyable entities. Therefore the links should show up with
the sources in the reference block, nowhere else. Maybe in future we will also have IdentifyableEntity.links and we may then discuss where to show
these.

#8 - 04/08/2020 04:10 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#9 - 06/23/2020 04:17 PM - Andreas Kohlbecker

- Target version changed from Release 5.15 to Release 5.18

#10 - 12/01/2020 02:37 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Release 5.18 to Release 5.19

#11 - 01/27/2021 03:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#12 - 03/10/2021 02:52 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#13 - 04/19/2021 02:46 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#14 - 07/09/2021 10:41 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45
